settings={}
settings[1]={}
settings[1][1]="Nombre"
settings[1][2]="Contraseña"

settings[2]={}
settings[2][1]="Fondo de escritorio ["..fondo_escritorio.."]"
if modo==1 then settings[2][2]="Mostrar iconos [Sí]" else settings[2][2]="Mostrar iconos [No]" end
settings[2][3]="Brillo ["..screen.brightness().."]"
settings[2][4]="Cursor ["..cursor.."]"

settings[3]={}
if stick then settings[3][1]="Stick [Sí]" else settings[3][1]="Stick [No]" end
if home==1 then settings[3][2]="HOME [Sí]" else settings[3][2]="HOME [No]" end
if captura then settings[3][3]="Captura de Pantalla [Sí]" else settings[3][3]="Captura de Pantalla [No]" end
if keyboard==1 then settings[3][4]="Teclado [QWERTY]" else settings[3][4]="Teclado [OSK]" end

settings[4]={}
if estado_sonido then settings[4][1]="Sonido [Sí]" else settings[4][1]="Sonido [No]" end
settings[4][2]="Volumen ["..volumen_sonido.."]"


settings[5]={}
if avisobat then settings[5][1]="Aviso de Batería [Sí]" else settings[5][1]="Aviso de Batería [No]" end
settings[5][2]="Memoria RAM"
settings[5][3]="CPU ["..os.cpu().."]"


function ajustar(A,B)

if A==1 then
	if B==1 then
		if keyboard==1 then
			username=teclado(1,"Escribe tu nombre de usuario",10,"")
		else
			username=os.osk("Escribe tu nombre de usuario","",10,1,0)
		end
		ini.write("SYSTEM/CONFIG.INI","U"..user,"name",username)
	else
		if keyboard==1 then
			userpass=teclado(2,"Escribe tu contraseña",4,"0000")
		else
			userpass=os.osk("Escribe tu contraseña","0000",4,1,1)
		end
		if userpass!="" and tonumber(userpass)!=nil then
			ini.write("SYSTEM/CONFIG.INI","U"..user,"pass",os.md5(userpass))
		else
			os.message("Imposible almacenar esa contraseña")
		end
	end
	
elseif A==2 then
	if B==1 then
		img_escritorio[fondo_escritorio]:free() 
		img_escritorio[fondo_escritorio]=nil
		fondo_escritorio=fondo_escritorio+1 
		if fondo_escritorio>maxifondo then fondo_escritorio=1 end 
		img_escritorio[fondo_escritorio]=image.load("FX/imagenes/escritorio/"..fondo_escritorio..".png")
		settings[2][1]="Fondo de escritorio ["..fondo_escritorio.."]"
		ini.write("SYSTEM/CONFIG.INI","U"..user,"fondo",fondo_escritorio)
	elseif B==2 then
		modo=modo+1
		if modo>1 then modo=0 end
		if modo==1 then
			settings[A][B]="Mostrar iconos [Sí]"
		else
			settings[A][B]="Mostrar iconos [No]"
		end
	elseif B==3 then
		brigh=brigh+10
		if brigh>90 then brigh=30 end
		screen.brightness(brigh)
		settings[A][B]="Brillo ["..brigh.."]"
	elseif B==4 then
		cursor=cursor+1 
		if cursor>5 then cursor=1 end
		ini.write("SYSTEM/CONFIG.INI","U"..user,"cursor",cursor)
		p.i:free()
		p.i=nil
		p.i=image.load("FX/c"..cursor..".png")
		settings[A][B]="Cursor ["..cursor.."]"
		ini.write("SYSTEM/CONFIG.INI","U"..user,"cursor",cursor)
	end
elseif A==3 then

	if B==1 then
		if stick then
			stick=false
			settings[A][B]="Stick [No]"
		else
			stick=true
			settings[A][B]="Stick [Sí]"
		end
		if stick then
			ini.write("SYSTEM/CONFIG.INI","U"..user,"stick",1)
		else
			ini.write("SYSTEM/CONFIG.INI","U"..user,"stick",2)
		end
	elseif B==2 then
		home=home+1
		if home>1 then home=0 end
		if home==1 then
			settings[A][B]="HOME [Sí]"
		else
			settings[A][B]="HOME [No]"
		end
		ini.write("SYSTEM/CONFIG.INI","U"..user,"home",home)
	elseif B==3 then
		if captura then
			captura=false
			settings[A][B]="Captura de Pantalla [No]"
		else
			captura=true
			settings[A][B]="Captura de Pantalla [Sí]"
		end
	elseif B==4 then
		keyboard=keyboard+1
		if keyboard>2 then keyboard=1 end
		if keyboard==1 then
			settings[A][B]="Teclado [QWERTY]"
		else
			settings[A][B]="Teclado [OSK]"
		end
		ini.write("SYSTEM/CONFIG.INI","U"..user,"teclado",keyboard)
	end
elseif A==4 then
	if B==1 then
		if estado_sonido then
			estado_sonido=false
			settings[A][B]="Sonido [No]"
		else
			estado_sonido=true
			settings[A][B]="Sonido [Sí]"
		end
		if estado_sonido then ini.write("SYSTEM/CONFIG.INI","U"..user,"sonido",1) else ini.write("SYSTEM/CONFIG.INI","U"..user,"sonido",2) end
	else
		volumen_sonido=volumen_sonido+10
		if volumen_sonido>199 then volumen_sonido=20 end
		settings[A][B]="Volumen ["..volumen_sonido.."]"
	end
else
	if B==1 then
		if avisobat then
			pspb:free()
			pspb=nil
			lowb:free()
			lowb=nil
			bat_t:free()
			bat_t=nil
			screen.flip=oldflip
			avisobat=false
			settings[5][1]="Aviso de Batería [No]"
		else
			avisobat=true
			settings[5][1]="Aviso de Batería [Sí]"
			dofile("OTHER/bateria/script.lua")
		end
		
	elseif B==2 then
		collectgarbage("collect")
		settings[A][B]="Memoria RAM ["..math.ceil(os.getfreememory()/1048576).."  MB]"
	else
		if keyboard==1 then
			CPU=teclado(2,"Frecuencia de la CPU",3,"")
		else
			CPU=os.osk("Frecuencia de la CPU","",3,1,1)
		end
		if CPU!="" and tonumber(CPU)!=nil then
			os.cpu(CPU)
		end
		settings[A][B]="CPU ["..os.cpu().."]"
	end
end

end




